Skip to content
Account Profile & Status

Whale Record Agreement

This interface is used to synchronize and record the signing status of specified agreements for a user. By providing the agreement type type, agreement information list (including agreement name, version, and signing status), user ID member_id, signing method platform, and remarks, it synchronizes the user's agreement signing status to the platform.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/account/record_agreement

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

typestringrequired

type

agreements_infoarray<object>required

agreements_info

Child attributes
keystringrequired

key

versionstringrequired

version

signedstringrequired

signed

member_idintegerrequired

member ID. member ID

platformstringrequired

platform

remarkstring

remark

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs